package com.watabou.newquay;

import android.graphics.Paint;

public class ColorBlock extends Visual {

	protected Paint paint;
	
	public ColorBlock( float x, float y, float width, float height, int color ) {
		super( x, y, width, height );
		
		paint = new Paint();
		paint.setColor( color );
	}
	
	@Override
	public void draw() {
		
		super.draw();
		
		Camera c = camera();
		
		float x = this.x - c.scroll.x * parallax;
		float y = this.y - c.scroll.y * parallax;
		
		c.canvas.drawRect( x, y, x + width, y + height, paint );

	}
}
