package com.watabou.newquay.tweeners;

import com.watabou.newquay.Image;
import com.watabou.newquay.utils.PointF;

public class ScaleTwinner extends Tweener {

	public Image image;
	
	public PointF start;
	public PointF end;
	
	public ScaleTwinner( Image image, PointF scale, float time ) {
		super( image, time );
		
		this.image = image;
		start = image.scale;
		end = scale;
	}

	@Override
	protected void updateValues( float progress ) {
		image.scale = PointF.inter( start, end, progress );
	}
}
