package com.watabou.newquay;

import android.graphics.Paint;

public class Dot extends Visual {

	protected Paint paint;
	
	public Dot() {
		this( 0, 0, 0xFFFFFFFF );
	}
	
	public Dot( float x, float y, int color ) {
		super( x, y, 1, 1 );

		paint = new Paint();
		paint.setColor( color );
	}
	
	@Override
	public void draw() {
		
		super.draw();
		
		Camera c = camera();
		
		float x = this.x - c.scroll.x * parallax;
		float y = this.y - c.scroll.y * parallax;
		
		c.canvas.drawPoint( x, y, paint );
	}
}
