package com.watabou.newquay.tweeners;

import com.watabou.newquay.Image;

public class AlphaTweener extends Tweener {

	public Image image;
	
	public float start;
	public float delta;
	
	public AlphaTweener( Image image, float alpha, float time ) {
		super( image, time );
		
		this.image = image;
		start = image.alpha();
		delta = alpha - start;
	}

	@Override
	protected void updateValues( float progress ) {
		image.alpha( start + delta * progress );
	}
}
