package com.watabou.newquay.utils;

import java.util.Collection;

public class Random {

	public static float Float( float min, float max ) {
		return (float)(min + Math.random() * (max - min)); 
	}
	
	public static float Float( float max ) {
		return (float)(Math.random() * max);
	}
	
	public static float Float() {
		return (float)Math.random();
	}
	
	public static int Int( int max ) {
		return (int)(Math.random() * max);
	}
	
	public static int Int( int min, int max ) {
		return min + (int)(Math.random() * (max - min));
	}
	
	public static int chances( float[] chances ) {
		
		int length = chances.length;
		
		float sum = chances[0];
		for (int i=1; i < length; i++) {
			sum += chances[i];
		}
		
		float value = Float( sum );
		sum = chances[0];
		for (int i=0; i < length; i++) {
			if (value < sum) {
				return i;
			}
			sum += chances[i + 1];
		}
		
		return 0;
	}
	
	public static int index( Collection<?> collection ) {
		return (int)(Math.random() * collection.size());
	}
	
	public static<T> T element( T[] array ) {
		return array[(int)(Math.random() * array.length)];
	}
	
	public static<T> T oneOf( T... array ) {
		return array[(int)(Math.random() * array.length)];
	}
	
	public static<T> T element( T[] array, int max ) {
		return array[(int)(Math.random() * max)];
	}
	
	@SuppressWarnings("unchecked")
	public static<T> T element( Collection<? extends T> collection ) {
		return (T)collection.toArray()[Int( collection.size() )];
	}
}
